<div class="module {{direction_class}} {{ class_suffix }}">
	{% if disp_title_module %}
		<h3><span>{{ head_name }}</span></h3>
	{% endif %}

	{% if pre_text  %} 
		<div class="form-group">
			{{ pre_text }}
		</div>
	{% endif %}

	<div class="modcontent">
		{% if reviews is empty %}
			<div class="alert alert-info"><i class="fa fa-info-circle"></i> 
				{{ text_noproduct }}
				<button type="button" class="close" data-dismiss="alert">×</button>
			</div>
		{% else %}
			{% set count_item 	= products|length %}	
			{% set cls_btn_page =  (button_page  ==  'top') ? 'buttom-type1':'button-type2' %}	
			{% set btn_type 	=  (button_page  ==  'top') ? 'button-type1':'button-type2'%}
			
			{% set tag_id = 'so_review_slider_'~suffix %}
			{% set class_respl = 'preset00-'~nb_column0~' preset01-'~nb_column1~' preset02-'~nb_column2~' preset03-'~nb_column3~' preset04-'~nb_column4 %}
			{% set btn_prev = (button_page == 'top') ? '&#171':'&#139' %}
			{% set btn_next = (button_page == 'top') ? '&#187':'&#155' %}
			{% set i = 0 %}
			<div id="{{tag_id}}" class="so-reviewslider {{cls_btn_page}} {{class_respl}} {{btn_type}}">
				<!-- Begin reviewslider-inner -->
				<div class="reviewslider-inner" data-effect="{{effect}}">
					{% for i, review in reviews %}
						{% set i = i + 1 %}
						{% if i % nb_rows  ==  1  or  nb_rows  ==  1 %} 
						<div class="item ">
						{% endif %} 
							<div class="item-wrap ">
								<div class="item-wrap-inner">
									<div class="item-info">
										{% if showName %} 
											<div class="item-title">
												<a href="{{ review.href }}" title="{{ review.product }} "  >
													{{ review.product }} 
												</a>											
											</div>
										{% endif %} 		
										{% if showRating %}
											<div class="rating">									
												{% for i in 1..5 %}
												{% if review.rating < i %} <span class="fa fa-stack"><i class="fa fa-star-o fa-stack-2x"></i></span> {% else %} <span class="fa fa-stack"><i class="fa fa-star fa-stack-2x"></i><i class="fa fa-star-o fa-stack-2x"></i></span> {% endif %}
												{% endfor %}
											</div>	  
										{% endif %}
										{% if showCommentContent %}
										    <div class="commentContent">
											    {{ review.text }} 
											</div>
										{% endif %}
										{% if showCommentator %}
										    <div class="showCommentator">
											    {{ review.author }} 
											</div>
										{% endif %}	
									</div>
								</div>
							</div>	
						<!-- End item-wrap -->
						{% if i % nb_rows  ==  0  or  i  ==  count_item %} 
						</div>
						{% endif %} 
					{% endfor %}
				</div>
				<script type="text/javascript">
				//<![CDATA[
				jQuery(document).ready(function ($) {
					(function (element) {
						var $element = $(element),
								$reviewslider = $(".reviewslider-inner", $element),
								_delay = {{ delay }} ,
								_duration = {{ duration }} ,
								_effect = '{{ effect }} ';

						$reviewslider.on("initialized.owl.carousel2", function () {
							var $item_active = $(".owl2-item.active", $element);
							if ($item_active.length > 1 && _effect != "none") {
								_getAnimate($item_active);
							}
							else {
								var $item = $(".owl2-item", $element);
								$item.css({"opacity": 1, "filter": "alpha(opacity = 100)"});
							}
							{% if dots  ==  "true" %} 
							if ($(".owl2-dot", $element).length < 2) {
								$(".owl2-prev", $element).css("display", "none");
								$(".owl2-next", $element).css("display", "none");
								$(".owl2-dot", $element).css("display", "none");
							}
							{% endif %}

							{% if button_page  ==  "top" %} 
								$(".owl2-controls", $element).insertBefore($reviewslider);
								$(".owl2-dots", $element).insertAfter($(".owl2-prev", $element));
							{% else %}  
								$(".owl2-nav", $element).insertBefore($reviewslider);
								$(".owl2-controls", $element).insertAfter($reviewslider);
							{% endif %}

						});

						$reviewslider.owlCarousel2({
							rtl: {{ direction}},
							margin: {{ margin }},
							slideBy: {{ slideBy }},
							autoplay: {{ autoplay }},
							autoplayHoverPause: {{ autoplayHoverPause  }},
							autoplayTimeout: {{ autoplayTimeout }} ,
							autoplaySpeed: {{ autoplaySpeed }} ,
							startPosition: {{ startPosition }} ,
							mouseDrag: {{ mouseDrag }},
							touchDrag: {{ touchDrag }} ,
							autoWidth: false,
							responsive: {
								0: 	{ items: {{ nb_column4 }} } ,
								480: { items: {{ nb_column3 }} },
								768: { items: {{ nb_column2 }} },
								992: { items: {{ nb_column1 }} },
								1200: {items: {{ nb_column0 }}}
							},
							dotClass: "owl2-dot",
							dotsClass: "owl2-dots",
							dots: {{ dots }} ,
							dotsSpeed:{{ dotsSpeed }} ,
							nav: {{ nav }} ,
							loop: {{ loop }} ,
							navSpeed: {{ navSpeed }} ,
							navText: ["{{ btn_prev }} ", "{{ btn_next }} "],
							navClass: ["owl2-prev", "owl2-next"]

						});

						$reviewslider.on("translate.owl.carousel2", function (e) {
							{% if dots  ==  "true" %} 
							if ($(".owl2-dot", $element).length < 2) {
								$(".owl2-prev", $element).css("display", "none");
								$(".owl2-next", $element).css("display", "none");
								$(".owl2-dot", $element).css("display", "none");
							}
							{% endif %} 

							var $item_active = $(".owl2-item.active", $element);
							_UngetAnimate($item_active);
							_getAnimate($item_active);
						});

						$reviewslider.on("translated.owl.carousel2", function (e) {

							{% if dots  ==  "true" %} 
							if ($(".owl2-dot", $element).length < 2) {
								$(".owl2-prev", $element).css("display", "none");
								$(".owl2-next", $element).css("display", "none");
								$(".owl2-dot", $element).css("display", "none");
							}
							{% endif %} 

							var $item_active = $(".owl2-item.active", $element);
							var $item = $(".owl2-item", $element);

							_UngetAnimate($item);

							if ($item_active.length > 1 && _effect != "none") {
								_getAnimate($item_active);
							} else {

								$item.css({"opacity": 1, "filter": "alpha(opacity = 100)"});

							}
						});

						function _getAnimate($el) {
							if (_effect == "none") return;
							//if ($.browser.msie && parseInt($.browser.version, 10) <= 9) return;
							$reviewslider.removeClass("extra-animate");
							$el.each(function (i) {
								var $_el = $(this);
								$(this).css({
									"-webkit-animation": _effect + " " + _duration + "ms ease both",
									"-moz-animation": _effect + " " + _duration + "ms ease both",
									"-o-animation": _effect + " " + _duration + "ms ease both",
									"animation": _effect + " " + _duration + "ms ease both",
									"-webkit-animation-delay": +i * _delay + "ms",
									"-moz-animation-delay": +i * _delay + "ms",
									"-o-animation-delay": +i * _delay + "ms",
									"animation-delay": +i * _delay + "ms",
									"opacity": 1
								}).animate({
									opacity: 1
								});

								if (i == $el.size() - 1) {
									$reviewslider.addClass("extra-animate");
								}
							});
						}

						function _UngetAnimate($el) {
							$el.each(function (i) {
								$(this).css({
									"animation": "",
									"-webkit-animation": "",
									"-moz-animation": "",
									"-o-animation": "",
									"opacity": 1
								});
							});
						}

					})("#{{ tag_id  }} ");
				});
				//]]>
			</script>				
			</div>	
		{% endif %}
	</div> 
	{% if post_text  %} 
		<div class="form-group">
			{{ post_text  }}
		</div>
	{% endif %}
</div>